public static interface GoogleSheetsEndpointBuilderFactory.GoogleSheetsBuilders
| Modifier and Type | Method and Description |
|---|---|
default GoogleSheetsEndpointBuilderFactory.GoogleSheetsEndpointBuilder |
googleSheets(String path)
Google Sheets (camel-google-sheets)
Manage spreadsheets in Google Sheets.
|
default GoogleSheetsEndpointBuilderFactory.GoogleSheetsEndpointBuilder |
googleSheets(String componentName,
String path)
Google Sheets (camel-google-sheets)
Manage spreadsheets in Google Sheets.
|
default GoogleSheetsEndpointBuilderFactory.GoogleSheetsEndpointBuilder googleSheets(String path)
google-sheets:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
There are 2 enums and the value can be one of: SPREADSHEETS, DATA
Path parameter: methodName (required)
What sub operation to use for the selected operation
There are 6 enums and the value can be one of: create, get, update,
append, batchUpdate, clearpath - apiName/methodNamedefault GoogleSheetsEndpointBuilderFactory.GoogleSheetsEndpointBuilder googleSheets(String componentName, String path)
google-sheets:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
There are 2 enums and the value can be one of: SPREADSHEETS, DATA
Path parameter: methodName (required)
What sub operation to use for the selected operation
There are 6 enums and the value can be one of: create, get, update,
append, batchUpdate, clearcomponentName - to use a custom component name for the endpoint
instead of the default namepath - apiName/methodNameApache Camel